Skip to main content

Workflow Actions

https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID

Below are the various requests that can be performed against the Workflow resource, as well as the expected parameters and the potential responses.

Clear Storage Entries​

Clear all storage entries

Method And Url​

DELETE https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID/storage

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, flow.*, or flow.clearStorageEntries.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID/storage

Successful Responses​

CodeTypeDescription
200Workflow Storage EntriesThe current storage entries

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow was not found

Delete​

Deletes a flow

Method And Url​

DELETE https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, flow.*, or flow.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID

Successful Responses​

CodeTypeDescription
200SuccessIf flow was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow was not found

Errors​

Get information about errors that occurred during runs of this workflow

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID/errors

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, flow.*, or flow.errors.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6

Request Query Parameters​

NameRequiredDescriptionDefaultExample
durationNDuration of time range in milliseconds86400000duration=86400000
endNEnd of time range in milliseconds since epoch0end=0
limitNMaximum number of errors to return25limit=25
sortDirectionNDirection to sort the results by. Accepted values are: asc, descdescsortDirection=desc
flowVersionNFlow version name or ID. When not included, will be errors for all versions. Pass develop for just the develop version.flowVersion=develop
deviceIdNFor edge or embedded workflows, the Device ID for which to return workflow errors. When not included, will be errors for all device IDs.deviceId=575ed18f7ae143cd83dc4bb6

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID/errors

Successful Responses​

CodeTypeDescription
200Workflow ErrorsWorkflow error information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow was not found

Get​

Retrieves information on a flow

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, flow.*, or flow.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6

Request Query Parameters​

NameRequiredDescriptionDefaultExample
includeCustomNodesNIf the result of the request should also include the details of any custom nodes referenced by the returned workflowsfalseincludeCustomNodes=true

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID

Successful Responses​

CodeTypeDescription
200WorkflowFlow information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow was not found

Get Log Entries​

Retrieve the recent log entries about runs of this workflow

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID/logs

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, flow.*, or flow.log.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6

Request Query Parameters​

NameRequiredDescriptionDefaultExample
limitNMax log entries to return (ordered by time descending)1limit=10
sinceNLook for log entries since this time (ms since epoch)since=1465790400000

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID/logs

Successful Responses​

CodeTypeDescription
200Workflow LogRecent log entries

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow was not found

Get Storage Entries​

Gets the current values in persistent storage

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID/storage

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, flow.*, or flow.getStorageEntries.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID/storage

Successful Responses​

CodeTypeDescription
200Workflow Storage EntriesThe current storage entries

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow was not found

Get Storage Entries Metadata​

Gets metadata about storage for this flow

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID/storage-metadata

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, flow.*, or flow.getStorageEntriesMetadata.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID/storage-metadata

Successful Responses​

CodeTypeDescription
200Get Workflow Storage Entries MetadataThe meta data for the current storage entries

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow was not found

Patch​

Updates information about a flow

Method And Url​

PATCH https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, flow.*, or flow.patch.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6

Request Query Parameters​

NameRequiredDescriptionDefaultExample
includeCustomNodesNIf the result of the request should also include the details of any custom nodes referenced by the returned workflowsfalseincludeCustomNodes=true
strictValidationNWhen true, perform stricter validation on node and trigger configurationfalsestrictValidation=true

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Workflow Patch schema. For example, the following would be a valid body for this request:

{
"name": "My Updated Workflow",
"description": "Description of my updated workflow",
"enabled": false
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"name":"My Updated Workflow","description":"Description of my updated workflow","enabled":false}' \
https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID

Successful Responses​

CodeTypeDescription
200WorkflowUpdated flow information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow is not found

Press Virtual Button​

Presses the specified virtual button on the flow

Method And Url​

POST https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID/virtualButton

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, flow.*, or flow.pressVirtualButton.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Virtual Button Press schema. For example, the following would be a valid body for this request:

{
"key": "575ed18f7ae143cd83dc4aa6-SJaEw_dV",
"payload": {
"some": "data"
}
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"key":"575ed18f7ae143cd83dc4aa6-SJaEw_dV","payload":{"some":"data"}}' \
https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID/virtualButton

Successful Responses​

CodeTypeDescription
200SuccessVirtual button was pressed

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow was not found

Set Storage Entry​

Sets a storage value

Method And Url​

PATCH https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID/storage

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, flow.*, or flow.setStorageEntry.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Workflow Storage Entry schema. For example, the following would be a valid body for this request:

{
"key": "myStorageKey",
"value": 12
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"key":"myStorageKey","value":12}' \
https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID/storage

Successful Responses​

CodeTypeDescription
200SuccessValue was successfully stored

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow was not found

Stats​

Get statistics about workflow runs for this workflow

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID/stats

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, flow.*, or flow.stats.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6

Request Query Parameters​

NameRequiredDescriptionDefaultExample
durationNDuration of time range in milliseconds86400000duration=86400000
endNEnd of time range in milliseconds since epoch0end=0
resolutionNResolution in milliseconds3600000resolution=3600000
flowVersionNFlow version name or ID. When not included, will be aggregate for all versions. Pass develop for just the develop version.flowVersion=develop
deviceIdNFor edge or embedded workflows, the device ID to return workflow stats for. When not included, will be aggregate for all device IDs.deviceId=575ed18f7ae143cd83dc4bb6

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/flows/FLOW_ID/stats

Successful Responses​

CodeTypeDescription
200Workflow StatisticsStatistics for workflow runs

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 3 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key
          • ▶
            {} 2 keys

        Error Example​

        • ▶
          {} 2 keys
          • "NotFound"
          • "Application was not found"

        Workflow​

        Schema for a single Workflow

        Workflow Schema​

        • ▶
          {} 3 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • ▶
            {} 29 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 3 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 3 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 1 key
                                            • ▶
                                              {} 2 keys
                                              • ▶
                                                {} 2 keys
                                                • ▶
                                                  {} 2 keys
                                                  • ▶
                                                    {} 2 keys
                                                    • ▶
                                                      {} 2 keys
                                                      • ▶
                                                        {} 4 keys
                                                        • ▶
                                                          {} 3 keys
                                                          • ▶
                                                            {} 1 key
                                                            • ▶
                                                              {} 3 keys
                                                              • ▶
                                                                {} 1 key
                                                                • ▶
                                                                  {} 2 keys
                                                                  • ▶
                                                                    {} 2 keys
                                                                    • ▶
                                                                      {} 2 keys

                                                                  Workflow Example​

                                                                  • ▶
                                                                    {} 12 keys
                                                                    • "575ed18f7ae143cd83dc4aa6"
                                                                    • "575ed18f7ae143cd83dc4aa6"
                                                                    • "575ec8687ae143cd83dc4a97"
                                                                    • "2016-06-13T04:00:00.000Z"
                                                                    • "2016-06-13T04:00:00.000Z"
                                                                    • "My Workflow"
                                                                    • "Description of my empty workflow"
                                                                    • true
                                                                    • [] 0 items
                                                                      • [] 0 items
                                                                        • [] 0 items
                                                                          • ▶
                                                                            {} 2 keys

                                                                          Workflow Errors​

                                                                          Workflow run error information

                                                                          Workflow Errors Schema​

                                                                          • ▶
                                                                            {} 3 keys
                                                                            • "http://json-schema.org/draft-07/schema#"
                                                                            • "object"
                                                                            • ▶
                                                                              {} 8 keys
                                                                              • ▶
                                                                                {} 3 keys
                                                                                • ▶
                                                                                  {} 2 keys
                                                                                  • ▶
                                                                                    {} 2 keys
                                                                                    • ▶
                                                                                      {} 2 keys
                                                                                      • ▶
                                                                                        {} 2 keys
                                                                                        • ▶
                                                                                          {} 1 key
                                                                                          • ▶
                                                                                            {} 2 keys
                                                                                            • ▶
                                                                                              {} 2 keys

                                                                                          Workflow Errors Example​

                                                                                          • ▶
                                                                                            {} 5 keys
                                                                                            • "2016-06-03T00:00:00.000Z"
                                                                                            • "2016-06-04T00:00:00.000Z"
                                                                                            • 25
                                                                                            • "desc"
                                                                                            • ▶
                                                                                              [] 1 item

                                                                                            Workflow Log​

                                                                                            Log of aggregated workflow run information

                                                                                            Workflow Log Schema​

                                                                                            • ▶
                                                                                              {} 3 keys
                                                                                              • "http://json-schema.org/draft-07/schema#"
                                                                                              • "array"
                                                                                              • ▶
                                                                                                {} 2 keys

                                                                                              Workflow Log Example​

                                                                                              • ▶
                                                                                                [] 2 items
                                                                                                • ▶
                                                                                                  {} 7 keys
                                                                                                  • ▶
                                                                                                    {} 7 keys

                                                                                                  Workflow Patch​

                                                                                                  Schema for the body of a Workflow modification request

                                                                                                  Workflow Patch Schema​

                                                                                                  • ▶
                                                                                                    {} 4 keys
                                                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                                                    • "object"
                                                                                                    • ▶
                                                                                                      {} 13 keys
                                                                                                      • ▶
                                                                                                        {} 3 keys
                                                                                                        • ▶
                                                                                                          {} 2 keys
                                                                                                          • ▶
                                                                                                            {} 2 keys
                                                                                                            • ▶
                                                                                                              {} 1 key
                                                                                                              • ▶
                                                                                                                {} 2 keys
                                                                                                                • ▶
                                                                                                                  {} 2 keys
                                                                                                                  • ▶
                                                                                                                    {} 1 key
                                                                                                                    • ▶
                                                                                                                      {} 1 key
                                                                                                                      • ▶
                                                                                                                        {} 2 keys
                                                                                                                        • ▶
                                                                                                                          {} 2 keys
                                                                                                                          • ▶
                                                                                                                            {} 3 keys
                                                                                                                            • ▶
                                                                                                                              {} 2 keys
                                                                                                                              • ▶
                                                                                                                                {} 4 keys
                                                                                                                              • false

                                                                                                                            Workflow Patch Example​

                                                                                                                            • ▶
                                                                                                                              {} 3 keys
                                                                                                                              • "My Updated Workflow"
                                                                                                                              • "Description of my updated workflow"
                                                                                                                              • false

                                                                                                                            Workflow Statistics​

                                                                                                                            Statistics about the runs for a given workflow

                                                                                                                            Workflow Statistics Schema​

                                                                                                                            • ▶
                                                                                                                              {} 3 keys
                                                                                                                              • "http://json-schema.org/draft-07/schema#"
                                                                                                                              • "object"
                                                                                                                              • ▶
                                                                                                                                {} 7 keys
                                                                                                                                • ▶
                                                                                                                                  {} 3 keys
                                                                                                                                  • ▶
                                                                                                                                    {} 2 keys
                                                                                                                                    • ▶
                                                                                                                                      {} 2 keys
                                                                                                                                      • ▶
                                                                                                                                        {} 2 keys
                                                                                                                                        • ▶
                                                                                                                                          {} 2 keys
                                                                                                                                          • ▶
                                                                                                                                            {} 1 key
                                                                                                                                            • ▶
                                                                                                                                              {} 2 keys

                                                                                                                                          Workflow Statistics Example​

                                                                                                                                          • ▶
                                                                                                                                            {} 4 keys
                                                                                                                                            • "2016-06-03T00:00:00.000Z"
                                                                                                                                            • "2016-06-04T00:00:00.000Z"
                                                                                                                                            • 86400000
                                                                                                                                            • ▶
                                                                                                                                              [] 1 item

                                                                                                                                            Workflow Storage Entries​

                                                                                                                                            Set of persistent workflow storage values

                                                                                                                                            Workflow Storage Entries Schema​

                                                                                                                                            • ▶
                                                                                                                                              {} 3 keys
                                                                                                                                              • "http://json-schema.org/draft-07/schema#"
                                                                                                                                              • "object"
                                                                                                                                              • ▶
                                                                                                                                                {} 1 key

                                                                                                                                              Workflow Storage Entries Example​

                                                                                                                                              • ▶
                                                                                                                                                {} 2 keys
                                                                                                                                                • "hello"
                                                                                                                                                • ▶
                                                                                                                                                  [] 3 items

                                                                                                                                                Workflow Storage Entry​

                                                                                                                                                Schema for the body of a request to set a Workflow storage entry

                                                                                                                                                Workflow Storage Entry Schema​

                                                                                                                                                • ▶
                                                                                                                                                  {} 5 keys
                                                                                                                                                  • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                  • "object"
                                                                                                                                                  • ▶
                                                                                                                                                    {} 2 keys
                                                                                                                                                    • ▶
                                                                                                                                                      {} 3 keys
                                                                                                                                                      • {} 0 keys
                                                                                                                                                      • false
                                                                                                                                                      • ▶
                                                                                                                                                        [] 1 item

                                                                                                                                                      Workflow Storage Entry Example​

                                                                                                                                                      • ▶
                                                                                                                                                        {} 2 keys
                                                                                                                                                        • "myStorageKey"
                                                                                                                                                        • 12

                                                                                                                                                      Get Workflow Storage Entries Metadata​

                                                                                                                                                      Schema for the result of a get storage metadata request

                                                                                                                                                      Get Workflow Storage Entries Metadata Schema​

                                                                                                                                                      • ▶
                                                                                                                                                        {} 4 keys
                                                                                                                                                        • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                        • "object"
                                                                                                                                                        • ▶
                                                                                                                                                          {} 2 keys
                                                                                                                                                          • ▶
                                                                                                                                                            {} 1 key
                                                                                                                                                            • ▶
                                                                                                                                                              {} 1 key
                                                                                                                                                            • false

                                                                                                                                                          Get Workflow Storage Entries Metadata Example​

                                                                                                                                                          • ▶
                                                                                                                                                            {} 2 keys
                                                                                                                                                            • 610
                                                                                                                                                            • 2

                                                                                                                                                          Success​

                                                                                                                                                          Schema for reporting a successful operation

                                                                                                                                                          Success Schema​

                                                                                                                                                          • ▶
                                                                                                                                                            {} 3 keys
                                                                                                                                                            • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                            • "object"
                                                                                                                                                            • ▶
                                                                                                                                                              {} 1 key
                                                                                                                                                              • ▶
                                                                                                                                                                {} 2 keys

                                                                                                                                                            Success Example​

                                                                                                                                                            • ▶
                                                                                                                                                              {} 1 key
                                                                                                                                                              • true

                                                                                                                                                            Virtual Button Press​

                                                                                                                                                            Schema for the body of a request to press a Workflow virtual button

                                                                                                                                                            Virtual Button Press Schema​

                                                                                                                                                            • ▶
                                                                                                                                                              {} 5 keys
                                                                                                                                                              • "http://json-schema.org/draft-07/schema#"
                                                                                                                                                              • "object"
                                                                                                                                                              • ▶
                                                                                                                                                                {} 6 keys
                                                                                                                                                                • ▶
                                                                                                                                                                  {} 1 key
                                                                                                                                                                  • {} 0 keys
                                                                                                                                                                    • {} 0 keys
                                                                                                                                                                      • ▶
                                                                                                                                                                        {} 3 keys
                                                                                                                                                                        • ▶
                                                                                                                                                                          {} 2 keys
                                                                                                                                                                          • ▶
                                                                                                                                                                            {} 2 keys
                                                                                                                                                                          • ▶
                                                                                                                                                                            [] 1 item
                                                                                                                                                                            • false

                                                                                                                                                                          Virtual Button Press Example​

                                                                                                                                                                          • ▶
                                                                                                                                                                            {} 2 keys
                                                                                                                                                                            • "575ed18f7ae143cd83dc4aa6-SJaEw_dV"
                                                                                                                                                                            • ▶
                                                                                                                                                                              {} 1 key

                                                                                                                                                                            Was this page helpful?


                                                                                                                                                                            Still looking for help? You can also search the Losant Forums or submit your question there.